language: java
dist: trusty

jdk:
  - openjdk8
  - oraclejdk8
# to compile using JDK 9+ we must move from source and target 1.5 to 1.6 
#  - openjdk9
#  - openjdk10
#  - openjdk11
#  - oraclejdk9
#  - oraclejdk10

script: mvn test -B -X
